<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="NotificacionReclamoAcuerdo" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" scriptletClass="com.civitas.cred.jasper.CuotaFechasVencidasScriptlet" uuid="7bc6a0d2-3fcb-4255-96f6-9885b133f2e3">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.9487171000000014"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="1113"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="LOGO" class="java.io.InputStream" isForPrompting="false"/>
	<parameter name="NOTIFICACION_ID" class="java.lang.Long"/>
	<parameter name="SCHEMA2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["CREDITOS.dbo"]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORTS_PATH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="FECHA" class="java.lang.String" isForPrompting="false"/>
	<parameter name="FOOTER" class="java.io.InputStream" isForPrompting="false"/>
	<parameter name="FECHACREADA" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT n.id, n.fechaCreada, n.fechaVenc,n.tipoAviso,n.tipoNotificacion
,o.numeroAtencion,p.NOMB_12,c.asunto,c.denominacion,c.texto,o.expediente,
(CASE WHEN dom.calle_IDCALLE IS NULL THEN dom.calleNom ELSE ca.DETA_08 end) AS calleNom,
dom.NUMERO,dom.departamentoNom, p.PISO,p.DPTO,PR.deta_08,  p.CUIL_12, l.nombre as localidad, t.TF_DESCRIPCION as comportamiento,
cuo.fechaVencimiento, dom.lote, dom.manzana,
ba.DESC_BRR AS barrioNom, l.CP
FROM $P!{SCHEMA2}.Notificacion n
LEFT JOIN $P!{SCHEMA2}.ConfiguracionNotificacion c on n.configuracion_id = c.id
INNER JOIN $P!{SCHEMA2}.Objetoi o on n.credito_id = o.id
INNER JOIN $P!{SCHEMA2}.PERSONA p on o.persona_IDPERSONA = p.IDPERSONA
INNER JOIN $P!{SCHEMA2}.ObjetoiComportamiento oc on o.id = oc.objetoi_id and oc.fecha = (select max(fecha) from ObjetoiComportamiento where objetoi_id = o.id and fechaHasta IS NULL)
INNER JOIN $P!{SCHEMA2}.Tipificadores t on oc.comportamientoPago = t.TF_CODIGO and t.TF_CATEGORIA = 'comportamientoPago'
INNER JOIN $P!{SCHEMA2}.Cuota cuo on o.id = cuo.credito_id and cuo.fechaVencimiento = (select min(fechaVencimiento) from cuota where credito_id = o.id and estado = '1')
LEFT JOIN $P!{SCHEMA2}.DomicilioObjetoi do ON do.objetoi_id = o.id
LEFT JOIN $P!{SCHEMA2}.Domicilio dom ON dom.id = do.domicilio_id
LEFT JOIN $P!{SCHEMA2}.Calle ca ON dom.calle_IDCALLE = ca.IDCALLE
LEFT JOIN $P!{SCHEMA2}.Barrio ba ON dom.barrio_CODI_BRR = ba.CODI_BRR
LEFT JOIN $P!{SCHEMA2}.LOCALIDAD l ON l.IDLOCALIDAD = dom.localidad_IDLOCALIDAD
LEFT JOIN $P!{SCHEMA2}.PROVIN PR ON PR.CODI_08 = dom.provincia_CODI_08
WHERE n.id = $P{NOTIFICACION_ID}]]>
	</queryString>
	<field name="id" class="java.math.BigDecimal"/>
	<field name="fechaCreada" class="java.sql.Timestamp"/>
	<field name="fechaVenc" class="java.sql.Timestamp"/>
	<field name="tipoAviso" class="java.lang.String"/>
	<field name="tipoNotificacion" class="java.lang.String"/>
	<field name="numeroAtencion" class="java.math.BigDecimal"/>
	<field name="NOMB_12" class="java.lang.String"/>
	<field name="asunto" class="java.lang.String"/>
	<field name="denominacion" class="java.lang.String"/>
	<field name="texto" class="java.lang.String"/>
	<field name="expediente" class="java.lang.String"/>
	<field name="calleNom" class="java.lang.String"/>
	<field name="NUMERO" class="java.lang.String"/>
	<field name="departamentoNom" class="java.lang.String"/>
	<field name="PISO" class="java.lang.String"/>
	<field name="DPTO" class="java.lang.String"/>
	<field name="deta_08" class="java.lang.String"/>
	<field name="localidad" class="java.lang.String"/>
	<field name="CUIL_12" class="java.math.BigDecimal"/>
	<field name="comportamiento" class="java.lang.String"/>
	<field name="fechaVencimiento" class="java.sql.Timestamp"/>
	<field name="lote" class="java.lang.String"/>
	<field name="manzana" class="java.lang.String"/>
	<field name="barrioNom" class="java.lang.String"/>
	<field name="CP" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="262" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-2" x="3" y="145" width="21" height="16" uuid="a40e808e-ad9c-4fd4-ac67-6f3b8c531d92"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Sr.:]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-8" x="21" y="145" width="514" height="16" uuid="13e6e05b-d211-4615-9182-0483ee0cb56e"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NOMB_12}+" - "+$F{CUIL_12}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-9" x="3" y="160" width="530" height="16" uuid="375b0b8b-031e-459b-ac76-7eccc12a7ce7"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[(($F{calleNom}!=null?$F{calleNom}.toUpperCase():" ")+
($F{NUMERO}!= null?" "+$F{NUMERO}+" - ":" ")
+($F{manzana}!= null?" Manz/Piso: "+$F{manzana}+" - ":" ")
+($F{lote}!= null?" Lote/Dpto: "+$F{lote}+" - ":" - ")
+($F{barrioNom}!= null?" "+$F{barrioNom}+" - ":" ")+
($F{localidad}!= null?" "+$F{localidad}.toUpperCase()+" ":" ")+
($F{CP}!= null ? "("+$F{CP}+")":" "))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-6" x="321" y="227" width="78" height="16" uuid="e521692a-2f34-4297-b5a2-18285c4540b8"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Ref. Expediente:]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-7" x="321" y="246" width="78" height="16" uuid="c9f5cab9-250a-492f-b51d-fb3dfe412369"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Proyecto:]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-6" x="399" y="227" width="135" height="16" uuid="8d97ba82-d315-4429-ba8a-857eda64824d"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{expediente}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-7" x="399" y="246" width="78" height="16" uuid="4efec2b0-16bf-499b-a9b1-2011d64f3749"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numeroAtencion}.toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-8" x="3" y="192" width="230" height="16" uuid="c9a08604-6f2b-4872-9576-7988344f9e57"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[S_______________ /_______________D]]></text>
			</staticText>
			<image scaleImage="RetainShape" isUsingCache="true" onErrorType="Blank">
				<reportElement key="image-1" x="368" y="0" width="167" height="78" uuid="7f5b0c56-733d-41c2-ac81-bea5e0c4855c"/>
				<imageExpression><![CDATA[$P{LOGO}]]></imageExpression>
			</image>
			<staticText>
				<reportElement key="staticText-11" x="328" y="96" width="78" height="16" uuid="bcfbb423-f734-498d-9e7c-3bf709df5e35"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Mendoza, ]]></text>
			</staticText>
			<textField pattern="dd MMMMM yyyy" isBlankWhenNull="true">
				<reportElement key="textField-11" x="410" y="96" width="124" height="16" uuid="6731cbbd-1631-4650-8ce4-ca02d8a3aa64"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{FECHACREADA}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-9" x="3" y="176" width="530" height="16" uuid="4b8f5209-600e-4693-87cd-925d551c6320"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[(($F{departamentoNom}!= null?$F{departamentoNom}.toUpperCase()+" - ":" ")+
($F{deta_08}!= null?" "+$F{deta_08}.toUpperCase():" "))]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="367" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-10" x="0" y="215" width="529" height="20" uuid="90b18549-7f3a-4f33-ad8f-0c6957742806"/>
				<box rightPadding="39"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Sin otro particular le saludamos muy respetuosamente.]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="0" y="10" width="533" height="84" uuid="05883d19-9808-4fb2-8bc5-a494dbd16bfd"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font isBold="false" pdfFontName="Helvetica"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       Nos dirigimos a Ud. para informarle que no existen antecedentes en nuestros registros de que se encuentre al día en el cumplimiento de sus obligaciones de pago de las cuotas de capital e intereses del ACUERDO DE PAGO suscripto con esta Administradora Provincial del Fondo en fecha " + $P{REPORT_SCRIPTLET}.getFecha($P{NOTIFICACION_ID}) + ", cuyos vencimientos operaran el "+ $P{REPORT_SCRIPTLET}.getFechas($P{NOTIFICACION_ID}) + "."]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="0" y="109" width="533" height="50" uuid="400827cf-84e3-4dbc-9cc1-5bd096727d17"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font isBold="false" pdfFontName="Helvetica"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       En razón de lo expuesto la emplazamos en el término de 2 días a regularizar su situación, en caso de no encontrarse canceladas las mismas se procederá de acuerdo a lo establecido  a dejar sin efecto los beneficios otorgados mediante la Resolución Nº " +  $P{REPORT_SCRIPTLET}.getResolucion($P{NOTIFICACION_ID})]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="163" splitType="Stretch">
			<image scaleImage="RealSize" hAlign="Center" vAlign="Middle" isUsingCache="true">
				<reportElement key="image-2" x="13" y="102" width="511" height="53" uuid="35b1f426-a0d9-4a44-ad00-f6d06a3f394a"/>
				<imageExpression><![CDATA[$P{FOOTER}]]></imageExpression>
			</image>
		</band>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
